<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:dk="kelis.fr:dokiel"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sc sp xalan">
	<xsl:output encoding="UTF-8" method="xml"/>
	
<!--	<xsl:template match="/*">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>-->


	<!-- #### step   ### -->
	<xsl:template match="dk:stepList">
		<dk:stepList>
			<xsl:copy-of select="./dk:sTitle"/>
			<xsl:apply-templates select="sp:overview | sp:desc"/>
			<xsl:for-each select="sp:step">
				<sp:step>
					<dk:step>
						<dk:stepM>
							<sp:ti>
								<dk:para>
									<sc:para>
										<xsl:value-of select="./dk:sTitle/sc:fullTitle"/>
									</sc:para>
								</dk:para>
							</sp:ti>
						</dk:stepM>
						<sp:detail>
							<dk:comment>
								<sp:infobloc>
									<xsl:copy-of select="./dk:flowAll"/>
								</sp:infobloc>
							</dk:comment>
						</sp:detail>
					</dk:step>
				</sp:step>
			</xsl:for-each>
			<xsl:apply-templates select="sp:comment | sp:alt "/>
		</dk:stepList>
	</xsl:template>

	<!--<xsl:template match="sp:overview | sp:desc | sp:comment | sp:alt">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
-->
	<!-- ### 
		   # Cas général : on copie
		   ### -->
	<!--<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>-->

</xsl:stylesheet>
