<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
    xmlns:dk="kelis.fr:dokiel"
    xmlns:redirect="com.scenari.xsldtm.xalan.lib.Redirect"
    xmlns:java="http://xml.apache.org/xslt/java" 
    extension-element-prefixes="redirect"
    xmlns:xalan="http://xml.apache.org/xalan"
    exclude-result-prefixes="xalan">
    
    <xsl:output encoding="UTF-8" method="xml"/>
    
    <xsl:param name="pCurrentItemUri"/>
    <xsl:param name="pWspPath"/>
    
    <!--	###  Changements d'extensions des procédures
        ###-->
    
    
    <!-- <xsl:template match="/*">
        <xsl:copy>
        <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
        </xsl:template>-->
    
    
    
    <xsl:template match="sp:alt">
        <xsl:variable name="vNewExt">unit</xsl:variable>
        <xsl:variable name="vOldUri" select="@sc:refUri"/>
        <xsl:element name="sp:alt">
            <xsl:choose>
                <xsl:when test="@sc:refUri">
                    <xsl:attribute name="sc:refUri">
                        <xsl:value-of select="java:com.scenari.m.co.ant.MigrateXslTask.replaceExtension($vOldUri, $vNewExt)"/>
                    </xsl:attribute>
                    <xsl:apply-templates select="linkM"/>                   
                </xsl:when>
                <xsl:otherwise>
                    <xsl:apply-templates />
                </xsl:otherwise>
            </xsl:choose>
        </xsl:element>
    </xsl:template>
    
    
    
    <!-- ### 
        # Cas général : on copie
        ### -->
    <!--    <xsl:template match="@*|node()">
        <xsl:copy>
        <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
        </xsl:template>-->
    
</xsl:stylesheet>
