<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:dk="kelis.fr:dokiel" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:java="http://xml.apache.org/xslt/java" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="sp dk java " >

<xsl:param name="vSrcNode"/>

<xsl:template match="text()|@*"/>
<xsl:template match="*[@sc:refUri]">
<attrRef nm="?" refUri="{@sc:refUri}"/>
</xsl:template>

<xsl:template match="/sc:item">
<xsl:apply-templates select="dk:guideWRoot"/>
</xsl:template>

<xsl:template match="sc:item/dk:guideWRoot">
	
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>



			
			
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:guideWRoot/sp:guide[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="dk_guideWRoot:guide"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:guideWRoot/sp:section[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="dk_guideWRoot:section"/>
<xsl:apply-templates/>
</xsl:template>
		
			
				
				
				
			
			
				
				
				
			
			
				
				
				
			
			
				
				
				
			
			
				
				
				
			
			
				
				
				
			
			
				
				
				
			
			
				
				
				
			
		
			
		
		
			
			
				
			
			
				
			
			
				
			
			
				
				
				
				
				
				
				
				
			
			
				
				
				
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:extBlock[@role='fig'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:text]">
<attrRef refUri="{@sc:refUri}" nm="dk_text:extBlockTag:fig"/>
</xsl:template>
		
		
			
				
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='def'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:text]">
<attrRef refUri="{@sc:refUri}" nm="dk_text:uLinkTag:def"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='doc'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:text]">
<attrRef refUri="{@sc:refUri}" nm="dk_text:uLinkTag:doc"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='web'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:text]">
<attrRef refUri="{@sc:refUri}" nm="dk_text:uLinkTag:web"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='resLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:text]">
<attrRef refUri="{@sc:refUri}" nm="dk_text:uLinkTag:resLnk"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='coLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:text]">
<attrRef refUri="{@sc:refUri}" nm="dk_text:uLinkTag:coLnk"/>
<xsl:apply-templates/>
</xsl:template>
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='ico'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:text]">
<attrRef refUri="{@sc:refUri}" nm="dk_text:inlineImgTag:ico"/>
</xsl:template>
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:text">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:blocTi">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:filter">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
				
				
			
		
		
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='ico'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:richTitle]">
<attrRef refUri="{@sc:refUri}" nm="dk_richTitle:inlineImgTag:ico"/>
</xsl:template>
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:richTitle">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:guideWRootM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
			
		
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:guideWRootM/sp:logo[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="dk_guideWRootM:logo:"/>
</xsl:template>
		
			
			
		
			
			
				
				
			
		
			
			
				
				
					
					
				
			
			
				
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:rootM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
			
		
			
			
		
			
			
		
			
			
		
			
			
		
			
			
		
			
				
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:rootM/sp:vars/sp:vName">
<xsl:choose>
<xsl:when test="string-length(.) &gt; 20">
<cPbs>
<pb typ="Warning" cd="fieldTooLong" msg="{formatStr('Le texte du champ &apos;&apos;%1$s&apos;&apos; dépasse la taille conseillée : %3$s / %2$s', 'Nom', '20', string(string-length(.)))}"/>
</cPbs>
</xsl:when>
</xsl:choose>
</xsl:template>
			
		
		
			
			
				
			
			
				
			
			
				
			
		
		
			
				
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='ico'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::dk:textSimple]">
<attrRef refUri="{@sc:refUri}" nm="dk_textSimple:inlineImgTag:ico"/>
</xsl:template>
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:textSimple">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:optionsWeb">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:optionsWeb/sp:stats[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="dk_optionsWeb:stats:"/>
</xsl:template>
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:aloneSectionM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="dk:headTitle">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		

</xsl:stylesheet>