<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
    xmlns:dk="kelis.fr:dokiel"
    xmlns:pw="scpf.org:presWsp"
    xmlns:xalan="http://xml.apache.org/xalan"
    exclude-result-prefixes="sc sp xalan pw dk">
    <xsl:output encoding="UTF-8" method="xml"/>
 <!--   
    <xsl:template match="/*">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>-->
    
    

    <xsl:template match="sc:textLeaf">
        <xsl:choose>
            <xsl:when test="@role='term'">
                <sc:textLeaf role="label" sc:id="{@sc:id}">
                    <xsl:value-of select="."/>
                </sc:textLeaf>
            </xsl:when>
            <xsl:otherwise>
                <xsl:copy>
                    <xsl:apply-templates select="@*|node()"/>
                </xsl:copy>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    <!-- ### 
        # Cas général : on copie
        ### -->
<!--    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>-->
    
</xsl:stylesheet>
