<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
		xmlns:sfm="http://www.utc.fr/ics/scenari/v3/filemeta"
		xmlns:dk="kelis.fr:dokiel"
		xmlns:pw="scpf.org:presWsp"
		xmlns:xalan="http://xml.apache.org/xalan"
		exclude-result-prefixes="sc sp xalan pw">
	<xsl:output encoding="UTF-8" method="xml"/>

<!--	<xsl:template match="/*">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>-->
	
	<xsl:template match="sc:cell[@role='cell'] | sc:cell[@role='simpleTableCell']">
		<sc:cell>
			<xsl:if test="@sc:id"><xsl:attribute name="sc:id"><xsl:value-of select="@sc:id"/></xsl:attribute></xsl:if>
			<xsl:if test="@rowSpan"><xsl:attribute name="rowSpan"><xsl:value-of select="@rowSpan"/></xsl:attribute></xsl:if>
			<xsl:if test="@colSpan"><xsl:attribute name="colSpan"><xsl:value-of select="@colSpan"/></xsl:attribute></xsl:if>
			<xsl:apply-templates select="*"/>
		</sc:cell>
	</xsl:template>
	<xsl:template match="sc:column[@role='col'] | sc:column[@role='simpleTableCol']">
		<sc:column>
			<xsl:if test="@sc:id"><xsl:attribute name="sc:id"><xsl:value-of select="@sc:id"/></xsl:attribute></xsl:if>
			<xsl:attribute name="width"><xsl:value-of select="@width"/></xsl:attribute>
			<xsl:apply-templates select="*"/>
		</sc:column>
	</xsl:template>
	<xsl:template match="sc:row[@role='row'] | sc:row[@role='simpleTableRow']">
		<sc:row>
			<xsl:if test="@sc:id"><xsl:attribute name="sc:id"><xsl:value-of select="@sc:id"/></xsl:attribute></xsl:if>
			<xsl:apply-templates select="*"/>
		</sc:row>
	</xsl:template>
	
	
	
	<!-- ### 
		# Cas général : on copie
		### -->
<!--	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>-->
		
</xsl:stylesheet>